/*** フェードイン ***/
jQuery(document).ready(function($) {
//Fadein Animation関数の呼び出し
if ($('.is-style-u-fade-type-fadein').length) {
	GroupScrollFadeinAnimation();
}

//Fadein Animation関数
function GroupScrollFadeinAnimation() {
	$(window).scroll(function () {
		$(".is-style-u-fade-type-fadein").each(function () {
			let position = $(this).offset().top,
			scroll = $(window).scrollTop(),
			windowHeight = $(window).height();

			if (scroll > position - windowHeight + (window.innerHeight)*0.2){
				$(this).addClass('is-active');
			}
		});
	});
}
	$(window).trigger('scroll');
});

/***** 標準速度 *****/
/*** 上へスライド ***/
jQuery(document).ready(function($) {
//Up Slide Animation呼び出し
if ($('.is-style-u-fade-type-up').length) {
	GroupScrollUpSlideAnimation();
}

//Up Slide Animation関数
function GroupScrollUpSlideAnimation() {
	$(window).scroll(function () {
		$(".is-style-u-fade-type-up").each(function () {
			let position = $(this).offset().top,
			scroll = $(window).scrollTop(),
			windowHeight = $(window).height();

			if (scroll > position - windowHeight + (window.innerHeight)*0.2){
				$(this).addClass('is-active');
			}
		});
	});
}
	$(window).trigger('scroll');
});


/*** 下へスライド ***/
jQuery(document).ready(function($) {
//Down Slide Animation呼び出し
if ($('.is-style-u-fade-type-down').length) {
	GroupScrollDownSlideAnimation();
}

//Down Slide Animation関数
function GroupScrollDownSlideAnimation() {
	$(window).scroll(function () {
		$(".is-style-u-fade-type-down").each(function () {
			let position = $(this).offset().top,
			scroll = $(window).scrollTop(),
			windowHeight = $(window).height();

			if (scroll > position - windowHeight + (window.innerHeight)*0.2){
				$(this).addClass('is-active');
			}
		});
	});
}
	$(window).trigger('scroll');
});

/*** 左へスライド ***/
jQuery(document).ready(function($) {
//Left Slide Animation呼び出し
if ($('.is-style-u-fade-type-left').length) {
	GroupScrollLeftSlideAnimation();
}

//Left Slide Animation関数
function GroupScrollLeftSlideAnimation() {
	$(window).scroll(function () {
		$(".is-style-u-fade-type-left").each(function () {
			let position = $(this).offset().top,
			scroll = $(window).scrollTop(),
			windowHeight = $(window).height();

			if (scroll > position - windowHeight + (window.innerHeight)*0.2){
				$(this).addClass('is-active');
			}
		});
	});
}
	$(window).trigger('scroll');
});


/*** 右へスライド ***/
jQuery(document).ready(function($) {
//Right Slide Animation呼び出し
if ($('.is-style-u-fade-type-right').length) {
	GroupScrollRightSlideAnimation();
}

//Right Slide Animation関数
function GroupScrollRightSlideAnimation() {
	$(window).scroll(function () {
		$(".is-style-u-fade-type-right").each(function () {
			let position = $(this).offset().top,
			scroll = $(window).scrollTop(),
			windowHeight = $(window).height();

			if (scroll > position - windowHeight + (window.innerHeight)*0.2){
				$(this).addClass('is-active');
			}
		});
	});
}
	$(window).trigger('scroll');
});


/***** ゆっくりした速度 *****/
/*** 上へスライド ***/
jQuery(document).ready(function($) {
//Up Slide Animation呼び出し
if ($('.is-style-u-fade-type-up-slow').length) {
	GroupScrollUpSlideAnimationSlow();
}

//Up Slide Animation関数
function GroupScrollUpSlideAnimationSlow() {
	$(window).scroll(function () {
		$(".is-style-u-fade-type-up-slow").each(function () {
			let position = $(this).offset().top,
			scroll = $(window).scrollTop(),
			windowHeight = $(window).height();

			if (scroll > position - windowHeight + (window.innerHeight)*0.2){
				$(this).addClass('is-active');
			}
		});
	});
}
	$(window).trigger('scroll');
});


/*** 下へスライド ***/
jQuery(document).ready(function($) {
//Down Slide Animation呼び出し
if ($('.is-style-u-fade-type-down-slow').length) {
	GroupScrollDownSlideAnimationSlow();
}

//Down Slide Animation関数
function GroupScrollDownSlideAnimationSlow() {
	$(window).scroll(function () {
		$(".is-style-u-fade-type-down-slow").each(function () {
			let position = $(this).offset().top,
			scroll = $(window).scrollTop(),
			windowHeight = $(window).height();

			if (scroll > position - windowHeight + (window.innerHeight)*0.2){
				$(this).addClass('is-active');
			}
		});
	});
}
	$(window).trigger('scroll');
});

/*** 左へスライド ***/
jQuery(document).ready(function($) {
//Left Slide Animation呼び出し
if ($('.is-style-u-fade-type-left-slow').length) {
	GroupScrollLeftSlideAnimationSlow();
}

//Left Slide Animation関数
function GroupScrollLeftSlideAnimationSlow() {
	$(window).scroll(function () {
		$(".is-style-u-fade-type-left-slow").each(function () {
			let position = $(this).offset().top,
			scroll = $(window).scrollTop(),
			windowHeight = $(window).height();

			if (scroll > position - windowHeight + (window.innerHeight)*0.2){
				$(this).addClass('is-active');
			}
		});
	});
}
	$(window).trigger('scroll');
});


/*** 右へスライド ***/
jQuery(document).ready(function($) {
//Right Slide Animation呼び出し
if ($('.is-style-u-fade-type-right-slow').length) {
	GroupScrollRightSlideAnimationSlow();
}

//Right Slide Animation関数
function GroupScrollRightSlideAnimationSlow() {
	$(window).scroll(function () {
		$(".is-style-u-fade-type-right-slow").each(function () {
			let position = $(this).offset().top,
			scroll = $(window).scrollTop(),
			windowHeight = $(window).height();

			if (scroll > position - windowHeight + (window.innerHeight)*0.2){
				$(this).addClass('is-active');
			}
		});
	});
}
	$(window).trigger('scroll');
});

/*** フェードイン ***/
jQuery(document).ready(function($) {
//Fadein Animation関数の呼び出し
if ($('.is-style-u-fade-type-fadein-slow').length) {
	GroupScrollFadeinAnimationSlow();
}

//Fadein Animation関数
function GroupScrollFadeinAnimationSlow() {
	$(window).scroll(function () {
		$(".is-style-u-fade-type-fadein-slow").each(function () {
			let position = $(this).offset().top,
			scroll = $(window).scrollTop(),
			windowHeight = $(window).height();

			if (scroll > position - windowHeight + (window.innerHeight)*0.2){
				$(this).addClass('is-active');
			}
		});
	});
}
	$(window).trigger('scroll');
});